プロジェクト
GET https://tistos.com/api/projects/
curl --request GET \
--url 'https://tistos.com/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列 |
| search_by | オプション 文字列 | 検索するフィールドは何ですか。許可される値はnameです。 |
| datetime_field | オプション 文字列 | 許可される値: datetime, last_datetime |
| datetime_start | オプション 文字列 | この日時から結果を絞り込みます。形式 Y-m-d H:i:s。 |
| datetime_end | オプション 文字列 | この日時まで結果を絞り込みます。形式 Y-m-d H:i:s。 |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可される値は、project_id, datetime, last_datetime, name です。 |
| order_type | オプション 文字列 | 結果の並び替え。許可される値は、昇順の場合はASC、降順の場合はDESCです。 |
| page | オプション 整数 | 必要なページ番号。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数を指定してください。許可される値は10, 25, 50, 100, 250, 500, 1000です。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"email_reports": [1],
"last_datetime": null,
"datetime": "2026-07-18 11:33:59",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/projects?page=1",
"last": "https://tistos.com/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/projects?page=1"
}
}
GET https://tistos.com/api/projects/{project_id}
curl --request GET \
--url 'https://tistos.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"email_reports": [1],
"last_datetime": null,
"datetime": "2026-07-18 11:33:59",
}
}
POST https://tistos.com/api/projects
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | 必須 文字列 | - |
| color | オプション 文字列 | - |
| email_reports | オプション 配列 | 通知ハンドラーID |
curl --request POST \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--form 'email_reports[]=1' \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--form 'email_reports[]=1' \
{
"data": {
"id": 1,
"email_reports": [1]
}
}
POST https://tistos.com/api/projects/{project_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | オプション 文字列 | - |
| color | オプション 文字列 | - |
| email_reports | オプション 配列 | 通知ハンドラーID |
curl --request POST \
--url 'https://tistos.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--form 'email_reports[]=1' \
--url 'https://tistos.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--form 'email_reports[]=1' \
{
"data": {
"id": 1,
"email_reports": [1]
}
}
DELETE https://tistos.com/api/projects/{project_id}
curl --request DELETE \
--url 'https://tistos.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \